class_name ButtonPuzzle

extends Puzzle

@export var buttons: Array[GroundButton] = []

func _process(delta):
	var is_finished = true
	for button in buttons:
		if !button.is_active:
			is_finished = false
			break;
			
	if is_finished:
		complete()
